Name:           athena-welcome
Version:        0
Release:        419e33f.1.g%{?dist}
Summary:        Welcome App for Athena OS

License:        GPL-3.0-or-later
URL:            https://github.com/Athena-OS/athena-welcome
Source0:        https://github.com/Athena-OS/athena-welcome/archive/refs/heads/main.tar.gz#/athena-welcome-main.tar.gz

BuildArch:      noarch

Requires:       athena-config
Requires:       cyber-toolkit
Requires:       htb-toolkit
Requires:       rsync

%description
A friendly welcome and onboarding app for Athena OS. Provides startup tasks and suggestions for new users, configured to auto-run on first login.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build

%install
# Create target directories
install -d %{buildroot}/etc/skel/.config/autostart
install -d %{buildroot}/etc/skel/.config/athena-welcome
install -d %{buildroot}/usr/bin
install -d %{buildroot}/usr/share/applications
install -d %{buildroot}/usr/share/icons/hicolor/scalable/apps

# Install files
install -m 644 autostart/athena-welcome.desktop %{buildroot}/etc/skel/.config/autostart/
install -m 644 share/applications/athena-welcome.desktop %{buildroot}/usr/share/applications/
install -m 644 share/icons/hicolor/scalable/apps/athenaos.svg %{buildroot}/usr/share/icons/hicolor/scalable/apps/

# App source directory
cp -a share/athena-welcome %{buildroot}/usr/share/

# Wrapper launcher
cat > %{buildroot}/usr/bin/athena-welcome << 'EOF'
#!/usr/bin/env bash
cd /usr/share/athena-welcome
exec python athena-welcome.py "$@"
EOF

chmod +x %{buildroot}/usr/bin/athena-welcome

%files
%license LICENSE
%doc README.md
/etc/skel/.config/autostart/athena-welcome.desktop
/etc/skel/.config/athena-welcome/
/usr/bin/athena-welcome
/usr/share/athena-welcome/
/usr/share/applications/athena-welcome.desktop
/usr/share/icons/hicolor/scalable/apps/athenaos.svg

%changelog
Sun Apr 13 2025 Little Owl <littleowl@athenaos.org> - synced with upstream
